OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000771OMNeT++documentationpublic2014-08-20 14:122014-11-28 13:07
Reporterwoife 
Assigned Toandras 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.5 
Target VersionFixed in Version4.6 
Summary0000771: Invalid code (record=stddev) in OMNeT manual
Description
The OMNeT manual[1] contains the following code:

@signal[session*-jitter](type=simtime_t); // note the wildcard
@statisticTemplate[sessionJitter](record=mean,stddev,vector?);

in chapter 4.15.3 (Statistics Recording for Dynamically Registered Signals).
But using this code template generates the following error:

"bad recording mode 'stddev': Result recorder "stddev" not found -- perhaps the name is wrong, or the recorder was not registered with Register_ResultRecorder()."

As far as I can tell from the rest of the manual, 'stddev' is not valid in this context. Removing it makes the example work.

[1] www.omnetpp.org/doc/omnetpp/manual/usman.html
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000950)
andras (administrator)
2014-11-28 13:07

You are right, there is no "stddev" result recorder. If you need it, use "stats" which records mean, stddev, min, max and more.

Thanks for reporting!

- Issue History
Date Modified Username Field Change
2014-08-20 14:12 woife New Issue
2014-11-28 13:07 andras Note Added: 0000950
2014-11-28 13:07 andras Status new => resolved
2014-11-28 13:07 andras Fixed in Version => 4.6
2014-11-28 13:07 andras Resolution open => fixed
2014-11-28 13:07 andras Assigned To => andras
2015-10-12 09:28 ammmar1988 Issue cloned: 0000876


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker